#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xc942dbfa, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xe0d54278, __VMLINUX_SYMBOL_STR(usbnet_nway_reset) },
	{ 0x50af4391, __VMLINUX_SYMBOL_STR(usbnet_set_msglevel) },
	{ 0x56b7415d, __VMLINUX_SYMBOL_STR(usbnet_get_msglevel) },
	{ 0xb5d2bc61, __VMLINUX_SYMBOL_STR(usbnet_set_settings) },
	{ 0x88521afe, __VMLINUX_SYMBOL_STR(usbnet_get_settings) },
	{ 0x86db65f0, __VMLINUX_SYMBOL_STR(usbnet_tx_timeout) },
	{ 0x96c14260, __VMLINUX_SYMBOL_STR(usbnet_change_mtu) },
	{ 0xc59e8e34, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0xbf6c67d2, __VMLINUX_SYMBOL_STR(usbnet_start_xmit) },
	{ 0x6bece97a, __VMLINUX_SYMBOL_STR(usbnet_stop) },
	{ 0xfe8dafa8, __VMLINUX_SYMBOL_STR(usbnet_open) },
	{ 0x8fe7303c, __VMLINUX_SYMBOL_STR(usbnet_resume) },
	{ 0xa8319a90, __VMLINUX_SYMBOL_STR(usbnet_suspend) },
	{ 0x4dcffca0, __VMLINUX_SYMBOL_STR(usbnet_disconnect) },
	{ 0x78398d46, __VMLINUX_SYMBOL_STR(usbnet_probe) },
	{ 0x63c635bf, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0x161720dc, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x7b3a4c3c, __VMLINUX_SYMBOL_STR(mii_nway_restart) },
	{ 0x50eedeb8, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x4b54df7, __VMLINUX_SYMBOL_STR(usbnet_get_endpoints) },
	{ 0xd277c544, __VMLINUX_SYMBOL_STR(usbnet_link_change) },
	{ 0xfaf98462, __VMLINUX_SYMBOL_STR(bitrev32) },
	{ 0xa34f1ef5, __VMLINUX_SYMBOL_STR(crc32_le) },
	{ 0xbe15fd, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0xa0c142c0, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0x734e10b8, __VMLINUX_SYMBOL_STR(usbnet_write_cmd) },
	{ 0x58e4b9a7, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x4a619f83, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x94b1a87d, __VMLINUX_SYMBOL_STR(usbnet_write_cmd_async) },
	{ 0x5f3063c9, __VMLINUX_SYMBOL_STR(usbnet_read_cmd) },
	{ 0xe225808e, __VMLINUX_SYMBOL_STR(generic_mii_ioctl) },
	{ 0x57dfb6f4, __VMLINUX_SYMBOL_STR(usbnet_get_drvinfo) },
	{ 0x6a606f6e, __VMLINUX_SYMBOL_STR(mii_link_ok) },
	{ 0xe1772b6c, __VMLINUX_SYMBOL_STR(__dynamic_netdev_dbg) },
	{ 0x38a2f888, __VMLINUX_SYMBOL_STR(mii_ethtool_gset) },
	{ 0x6a12b4c0, __VMLINUX_SYMBOL_STR(mii_check_media) },
	{ 0x401345ac, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x9976174e, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0x99557d07, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x8329e6f0, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x82052c7f, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0x5e154642, __VMLINUX_SYMBOL_STR(skb_copy_expand) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii";

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B2420E93E78CEA9AB0E3DA");
